Tag Archives: ruby

Rails 3.0 beta 4 with Ruby 1.9.1 on Ubuntu 10.04 LTS

前幾天,在研究新的系統架構時,突然想玩玩最新的 RoR 3.0

於是就找了找,發現 RoR 3.0 要配合 Ruby 1.9 服用,而 Ruby 1.9 系列中,目前最穩定的就是 1.9.1

所以就開始了一連串的安裝之旅,而下面是我的步驟,分享給大家。如果有問題歡迎在留言區留言…

1 安裝 Ruby 1.9.1
sudo apt-get install ruby1.9.1
2 安裝 Ruby Gems for 1.9.1 (這裡安裝的 Gem 版本應該是 1.3.5)
sudo apt-get install rubygems1.9.1
3. 把 /usr/bin/ruby 對應到 /usr/bin/ruby1.9.1
sudo ln -s /usr/bin/ruby1.9.1 /usr/bin/ruby
4. 把 gem 對應到 gem 1.9
(但我實際用 clean ubuntu 試,可能會出現已存在的 error。若出現,本步驟可略過)
sudo ln -s /usr/bin/gem1.9.1 /usr/bin/gem
5. 安裝升級 gems包
(由於rails3 的相依套件 i18n 套件,需要 rubygems 1.3.7 的版本才能裝,所以要在這裡升級)
sudo gem install rubygems-update
6. 執行裝好的更新套件
sudo /var/lib/gems/1.9.1/bin/update_rubygems
7. 安裝 rails 的 gem
sudo gem install rails --pre
理論上到這裡,再回去打打 rails 就會出現東西了
但還是會有一些  error message,我如果有研究出來再和大家討論囉 🙂